#ifndef TIMER_GRAPH_WINDOW_H
#define TIMER_GRAPH_WINDOW_H

#include <gtk/gtk.h>

#include "TimerApplication.h"
#include "TimerTaskTree.h"

G_BEGIN_DECLS

#define TIMER_TYPE_GRAPH_WINDOW timer_graph_window_get_type()
G_DECLARE_FINAL_TYPE(TimerGraphWindow, timer_graph_window, TIMER, GRAPH_WINDOW, GtkDialog);

TimerGraphWindow *timer_graph_window_new(TimerApplication *app, TimerDataPoint *dayData, gsize dayDataLen, TimerDataPoint *taskData, gsize taskDataLen);

G_END_DECLS

#endif /* TIMER_GRAPH_WINDOW_H */
